program b1;

{$APPTYPE CONSOLE}

uses
  SysUtils;

var a:array[0..10000] of byte;
    i,n,x,y:integer;
begin
  assign(input, 'box.in');
  reset(input);
  assign(output, 'box.out');
  rewrite(output);

  for i:=1 to 6 do
  begin
    readln(x,y);
    a[x]:=a[x]+1;
    a[y]:=a[y]+1;
  end;

  for i:=1 to 10000 do
    if(a[i]>0) then
      if((a[i] mod 4)>0) then
      begin
        writeln('IMPOSSIBLE');
        close(output);
        exit;
      end;

  writeln('POSSIBLE');

  close(input);
  close(output);
end.
